Subject: bug#33833: 26.1; colors with no rgb values

From: Stefan Kangas <[email-masked]>
Date: Fri, 21 Aug 2020 00:25:56 -0700

Hi Pascal,

Alan Third <[email-masked]> writes:

> On Sat, Dec 22, 2018 at 10:29:17AM +0100, Pascal Bourguignon wrote:
>>
>> With emacsformcosx Emacs version 26.1 (9.0) on Mojave:
>>
>> $ /Applications/Emacs.app/Contents/MacOS/Emacs --debug-init
>> 2018-12-22 10:09:38.421 Emacs-x86_64-10_10[6625:159678] Failed to initialize
>> color list unarchiver: Error Domain=NSCocoaErrorDomain Code=4864 "***
>> -[NSKeyedUnarchiver _initForReadingFromData:error:throwLegacyExceptions:]:
>> non-keyed archive cannot be decoded by NSKeyedUnarchiver"
>> UserInfo={NSDebugDescription=*** -[NSKeyedUnarchiver
>> _initForReadingFromData:error:throwLegacyExceptions:]: non-keyed archive
>> cannot be decoded by NSKeyedUnarchiver}
>
> I believe this is fixed in 26.2. Apple removed a method we were using.

We believe this issue is fixed.  Can you still reproduce this on Emacs
26.3 or later?

If I don't hear back from you within a couple of weeks, I'll just
assume this has been fixed and close this bug.

Best regards,
Stefan Kangas